#include <QVBoxLayout>

#include <iostream>

#include "qui/mussa_setup_dialog/MussaSetupWidget.hpp"
#include "qui/mussa_setup_dialog/MussaSetupDialog.hpp"
#include "alg/mussa.hpp"


MussaSetupDialog::MussaSetupDialog(QWidget *parent, Qt::WFlags f)
  : QDialog(parent, f),
    setupWidget(0)
{
  setWindowTitle("Define New Analysis");
  setupWidget = new MussaSetupWidget;

  connect(setupWidget, SIGNAL(createButtonPushed()),
	  this, SLOT(accept()));
  connect(setupWidget, SIGNAL(cancelButtonPushed()),
	  this, SLOT(reject()));

  QVBoxLayout *layout = new QVBoxLayout;
  
  layout->addWidget(setupWidget);

  setLayout(layout);
}

void MussaSetupDialog::accept()
{
  done(1);
}

void MussaSetupDialog::reject()
{
  done(0);
}

MussaRef MussaSetupDialog::getMussa()
{
  return setupWidget->getMussaObject();
}
