#ifndef _SEQUENCE_SETUP_FRAME_H_
#define _SEQUENCE_SETUP_FRAME_H_

#include <list>

#include <QDir>
#include <QWidget>
#include "qui/mussa_setup_dialog/SequenceSetupWidget.hpp"
#include "qui/mussa_setup_dialog/SetupInfo.hpp"

class QFrame; 
class QScrollArea;
class QVBoxLayout;

class SequenceSetupFrame : public QWidget
{
  Q_OBJECT

public:
  SequenceSetupFrame(QWidget *parent = 0);
  std::list<SetupInfo *> getSetupInfo();
  
  QDir get_default_dir() const;
  void set_default_dir(const QDir& d);

public slots:
  void changeSequenceCount(int seqCount);

protected:
  void setupSequences(int seqCount);
  void resizeInnerFrame(int seqCount);
  int seqCount;

  std::list<SequenceSetupWidget*> seqList;
  QDir default_directory;
  QFrame *sequenceFrame;
  QScrollArea *scrollArea;
  QVBoxLayout *sequenceLayout;
};

#endif
